IRaMuTeQ
========

Ensemble de scripts Perl développés par Panpan Hu pour générer les fichiers utilisables par le logiciel d’analyse statistique **[IRaMuTeQ](http://iramuteq.org/)**.

## Programmes

### **Construction_Dictionnaires\_Nom\_Espèce.pl** : 

Script Perl qui prend en *entrée* une liste de noms d'espèce animales et végétales, un nom par ligne suivi d’une tabulation et de la mention “animalia” ou “plantae”. Comme par exemple :

```
	Abies bifida	plantae
	Gadus morhua	animalia
```

Le programme sélectionne les noms d'espèces d'un règne et génère un ou deux fichiers pour IRaMuTeQ. D’une part, il transforme les noms d'espèce en une expression formant un seul mot puisqu’IRaMuTeQ travaille mot à mot :

```
	Abies bifida	Abies_bifida
	Gadus morhua	Gadus_morhua
```

D’autre part, il définit cette expression comme une entrée du lexique avec un lemme (l’expression elle-même) et le type grammatical “nom” :

```
	Abies bifida	Abies_bifida    nom
	Gadus morhua	Gadus_morhua    nom
```

#### Syntaxe

```
	Construction_Dictionnaires_Nom_Espèce.pl -i input -o output -t ("animalia"|"plantae") [ -l lexique ]
```

Le fichier de sortie *output* est à ajouter dans le dictionnaire “expression\_en.txt” d’IRaMuTeQ. Sous Unix/Linux, ce dictionnaire se trouve dans le répertoire “~/.iramuteq/dictionnaires”. Optionnellement, ce programme peut créer un fichier *lexique* à ajouter au dictionnaire “lexique\_en.txt” dans le même répertoire. 


### **Préparation_Données\_entrée\_Iramuteq.pl** :

Ce programme concatène les données du sous-corpus Arthropodes préparées pour TXM. 